%ic {
  display: inline-block;
  font-family: 'skm';
  font-style: normal;
  font-weight: normal;
  line-height: 1;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

@keyframes rotation {
  from {transform: rotate(0deg);}
  to {transform: rotate(360deg);}
}


@mixin radio-connect($prefix, $list) {
  $selectors : '';
  @each $s in $list {
    $selectors: $selectors + '#' + $prefix + '-' + $s + ':checked ~ * #' + $prefix + '-' + $s + '-toggle,';
  }
  #{$selectors} {
    @content;
  }
}

@mixin spin() {
  height:30px;
  width:30px;
  position: absolute;
  left: 50%;
  top: 50%;
  margin: -15px 0 0 -15px;
  border-radius: 100%;
  border: 3px solid rgba(255,255,255,.3);
  border-left-color: rgba(255, 255 , 255, 1);
  animation: rotation 1s infinite linear;
}
